Name:           python-sts-libs
Version:        1.7.1.dev20+g27bae28
Release:        1.20250704114855384797.pr93.20.g27bae28%{?dist}
Summary:        Library for pytest-based Linux storage tests


License:        GPL-3.0-or-later
URL:            https://pypi.org/project/sts-libs/
Source:         sts_libs-1.7.1.dev20+g27bae28.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Library for storage testing with pytest.
Used by sts tests: https://gitlab.com/rh-kernel-stqe/sts
}

%description %_description

%package -n     python3-sts-libs
Summary:        %{summary}

%description -n python3-sts-libs %_description

%prep
%autosetup -p1 -n sts_libs-1.7.1.dev20+g27bae28

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sts

%check
%pyproject_check_import

%files -n python3-sts-libs -f %{pyproject_files}

%changelog
%autochangelog
